#ifndef _BOARD_EASY50510_H
#define _BOARD_EASY50510_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : board_easy50510.h
   Description :
 ****************************************************************************
   \file board_easy50510.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */
#include "device_vinetic_cpe.h"

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Global Variables              */
/* ============================= */
/** Access mode for vinetic device. */
#define ACCESS_MODE 0    /* Set access mode to SPI */

/* IRQ number when using GPIO and SPI connection, using IM0 */
#define IRQ_NUMBER 26 

/* Base address when using GPIO and SPI connection */
#define BASE_ADDRESS 1 /* 0x1F - broadcast */

/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_return_t BOARD_Easy50510_Register(BOARD_t* pBoard);

#endif /* _BOARD_EASY50510_H */
