
#ifndef _BOARD_TERIDIAN73M1866_H
#define _BOARD_TERIDIAN73M1866_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : board_teridian73M1866.h
   Description :
 ****************************************************************************
   \file board_teridian73M1866.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Global Variables              */
/* ============================= */

/** IRQ number definition Teridian, currently not used. */
#define INT_NUM_IRQ        0

/** Country selection for Teridian. Default value. Used when BBD file can't 
    be read. */
#define TERIDIAN_COUNTRY_TER 0

/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */
IFX_return_t BOARD_Teridian73M1866_Register(BOARD_t* pBoard);

#endif /* _BOARD_TERIDIAN73M1866_H */
