
#ifndef _DEVICE_SVIP_H
#define _DEVICE_SVIP_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : device_svip.h
   Description :
 ****************************************************************************
   \file device_svip.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */
#ifdef LINUX
#include "tapidemo_config.h"
#endif

#ifdef ABACUS_TEST
   #include "./abacus/com_client.h"
#endif 

#ifdef HAVE_DRV_SVIP_HEADERS
    #include "svip_io.h"
#else
    #error "drv_svip is missing"
#endif

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Global Variables              */
/* ============================= */
#ifdef USE_FILESYSTEM
extern IFX_char_t* sBBD_CRAM_File_SVIP;
#endif /* USE_FILESYSTEM */

extern IFX_char_t* sCTRL_DEV_NAME_SVIP;

extern SVIP_IO_INIT SvipDevInitStruct;
/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_return_t DEVICE_SVIP_Register(TAPIDEMO_DEVICE_CPU_t* pCpuDevice);
IFX_return_t DEVICE_SVIP_Init(BOARD_t* pBoard, IFX_char_t* pPath);
IFX_return_t DEVICE_SVIP_setupChannel(BOARD_t* pBoard, IFX_char_t* pPath);

#endif /* _DEVICE_SVIP_H */
