

#ifndef _TERIDIAN_FXO_H
#define _TERIDIAN_FXO_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************/

/**
   \file teridian_fxo.h
   \brief Function prototypes for 73M1X66 - FXO.

*/

#ifdef FXO
#ifdef TERIDIAN_FXO

/* ============================= */
/* Includes                      */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Local Macros & Definitions    */
/* ============================= */

/* ============================= */
/* Global Structures and enums   */
/* ============================= */

/* ============================= */
/* Global variable definition    */
/* ============================= */
extern IFX_char_t* sTERIDIAN_CH_DEV_NAME;
extern IFX_char_t* sTERIDIAN_CTRL_DEV_NAME;

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_return_t TERIDIAN_Init(BOARD_t* pBoard, GPIO_ACCESS_DEV_t eType);
IFX_return_t TERIDIAN_Register(TAPIDEMO_DEVICE_FXO_t* pFxoDevice);

#endif /* TERIDIAN_FXO */
#endif /* FXO */

#endif /* _TERIDIAN_FXO_H */
